Bug 1435926 - [abrt] tiled: blend_untransformed_generic(): tiled killed by SIGSEGV
Summary: [abrt] tiled: blend_untransformed_generic(): tiled killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tiled
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik Schilling
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8041916dfe572bf1f6945eb7e54...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-25 23:56 UTC by Jason Kankiewicz
Modified: 2017-05-05 04:05 UTC (History)
1 user (show)

Fixed In Version: tiled-0.18.2-1.fc26 tiled-0.18.2-1.fc24 tiled-0.18.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-30 16:07:57 UTC


Attachments (Terms of Use)
File: backtrace (71.26 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: cgroup (276 bytes, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: core_backtrace (15.82 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: dso_list (14.97 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: environ (3.43 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: exploitable (82 bytes, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: limits (1.29 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: maps (73.30 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: mountinfo (3.41 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: namespaces (102 bytes, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: open_fds (2.25 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details
File: var_log_messages (299 bytes, text/plain)
2017-03-25 23:56 UTC, Jason Kankiewicz
no flags Details

Description Jason Kankiewicz 2017-03-25 23:56:09 UTC
Description of problem:
I loaded 464 96x96 tile images into a new tileset in a new map.

Version-Release number of selected component:
tiled-0.17.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        tiled
crash_function: blend_untransformed_generic
executable:     /usr/bin/tiled
global_pid:     839
kernel:         4.9.14-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 blend_untransformed_generic at painting/qdrawhelper.cpp:4164
 #2 qt_span_fill_clipped at painting/qpaintengine_raster.cpp:4008
 #3 fillRect_normalized at painting/qpaintengine_raster.cpp:1447
 #4 QRasterPaintEngine::drawImage at painting/qpaintengine_raster.cpp:2432
 #5 QRasterPaintEngine::drawPixmap at painting/qpaintengine_raster.cpp:2061
 #6 QPaintEngineEx::drawPixmapFragments at painting/qpaintengineex.cpp:984
 #7 QPainter::drawPixmapFragments at painting/qpainter.cpp:8356
 #8 Tiled::CellRenderer::flush()
 #9 Tiled::IsometricRenderer::drawTileLayer(QPainter*, Tiled::TileLayer const*, QRectF const&) const
 #10 Tiled::Internal::BrushItem::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*)

Comment 1 Jason Kankiewicz 2017-03-25 23:56:13 UTC
Created attachment 1266438 [details]
File: backtrace

Comment 2 Jason Kankiewicz 2017-03-25 23:56:14 UTC
Created attachment 1266439 [details]
File: cgroup

Comment 3 Jason Kankiewicz 2017-03-25 23:56:15 UTC
Created attachment 1266440 [details]
File: core_backtrace

Comment 4 Jason Kankiewicz 2017-03-25 23:56:16 UTC
Created attachment 1266441 [details]
File: dso_list

Comment 5 Jason Kankiewicz 2017-03-25 23:56:17 UTC
Created attachment 1266442 [details]
File: environ

Comment 6 Jason Kankiewicz 2017-03-25 23:56:18 UTC
Created attachment 1266443 [details]
File: exploitable

Comment 7 Jason Kankiewicz 2017-03-25 23:56:19 UTC
Created attachment 1266444 [details]
File: limits

Comment 8 Jason Kankiewicz 2017-03-25 23:56:20 UTC
Created attachment 1266445 [details]
File: maps

Comment 9 Jason Kankiewicz 2017-03-25 23:56:21 UTC
Created attachment 1266446 [details]
File: mountinfo

Comment 10 Jason Kankiewicz 2017-03-25 23:56:22 UTC
Created attachment 1266447 [details]
File: namespaces

Comment 11 Jason Kankiewicz 2017-03-25 23:56:23 UTC
Created attachment 1266448 [details]
File: open_fds

Comment 12 Jason Kankiewicz 2017-03-25 23:56:24 UTC
Created attachment 1266449 [details]
File: proc_pid_status

Comment 13 Jason Kankiewicz 2017-03-25 23:56:24 UTC
Created attachment 1266450 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-04-22 03:09:16 UTC
tiled-0.18.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-276d8de6a2

Comment 15 Fedora Update System 2017-04-22 03:09:29 UTC
tiled-0.18.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c6897f6b2

Comment 16 Fedora Update System 2017-04-22 03:09:38 UTC
tiled-0.18.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9c8ee7bbc

Comment 17 Fedora Update System 2017-04-23 17:21:21 UTC
tiled-0.18.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-276d8de6a2

Comment 18 Fedora Update System 2017-04-23 20:24:31 UTC
tiled-0.18.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9c8ee7bbc

Comment 19 Fedora Update System 2017-04-30 16:07:57 UTC
tiled-0.18.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-04-30 21:18:51 UTC
tiled-0.18.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-05-05 04:05:04 UTC
tiled-0.18.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.